DbEnv::mutex_free |

`

    #include <db_cxx.h>

    int
    DbEnv::mutex_free(db_mutex_t mutex);

Description: DbEnv::mutex_free

The DbEnv::mutex_free method discards a mutex allocated by DbEnv::mutex_alloc.

The DbEnv::mutex_free method may not be called before the DbEnv::open method is called.

The DbEnv::mutex_free method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

Parameters
mutex

- The mutex parameter is a mutex previously allocated by DbEnv::mutex_alloc.

Errors

The DbEnv::mutex_free method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL

- An invalid flag value or parameter was specified.

Class DbEnv
See Also Database Environments and Related Methods`

Copyright (c) 1996,2008 Oracle. All rights reserved.